<?php

namespace Stachethemes\Stec\Elementor\Widgets\Event_Submit_Form;

add_filter('wpml_elementor_widgets_to_translate', function($widgets) {
    
    /* Title */
    $widgets['stec_submit_form_title'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_title'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Repeater */
    $widgets['stec_submit_form_repeater'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_repeater'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Description */
    $widgets['stec_submit_form_description'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_description'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Description Short */
    $widgets['stec_submit_form_description_short'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_description_short'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* RSVP */
    $widgets['stec_submit_form_rsvp'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_rsvp'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Select Calendar */
    $widgets['stec_submit_form_calendar'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_calendar'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Counter */
    $widgets['stec_submit_form_counter'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_counter'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Keywords */
    $widgets['stec_submit_form_keywords'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_keywords'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Comments */
    $widgets['stec_submit_form_comments'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_comments'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Starts On */
    $widgets['stec_submit_form_starts_on'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_starts_on'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Ends On */
    $widgets['stec_submit_form_ends_on'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_ends_on'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Contact Email */
    $widgets['stec_submit_form_contact'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_contact'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Event Status */
    $widgets['stec_submit_form_event_status'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_event_status'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );

    /* Notes */
    $widgets['stec_submit_form_event_notes'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_event_notes'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );
    
    /* Categories */
    $widgets['stec_submit_form_event_categories'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_event_categories'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );
    
    /* Featured */
    $widgets['stec_submit_form_featured'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_featured'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );
    
    /* Website URL */
    $widgets['stec_submit_form_website_url'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_website_url'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            ),
            array(
                'field'       => 'placeholder2',
                'type'        => __('Placeholder button', 'stec'),
                'editor_type' => 'LINE'
            ),
        ),
    );
    
    /* Organizers */
    $widgets['stec_submit_form_organizers'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_organizers'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            )
        ),
    );
    
    /* Submit button */
    $widgets['stec_submit_form_submit_button'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_submit_button'),
        'fields'     => array(
            array(
                'field'       => 'text',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            )
        ),
    );
    
    /* Icon */
    $widgets['stec_submit_form_icon'] = array(
        'conditions' => array('widgetType' => 'stec_submit_form_icon'),
        'fields'     => array(
            array(
                'field'       => 'placeholder',
                'type'        => __('Placeholder text', 'stec'),
                'editor_type' => 'LINE'
            )
        ),
    );

    return $widgets;
});
