<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="author">
    
        <h2><?php esc_html_e('Author Info', 'stec'); ?></h2>

    <?php
    $user_info = false;
    $user_info = get_user_by('id', $event->get_author());

    $user_email = '';

    if ($user_info && $user_info->user_email) {
        $user_email = $user_info->user_email;
    } else {
        $user_email = $event->get_custom_meta('contact_email');
    }

    if (is_super_admin()) {
        Admin_Html::html_info(esc_html__('Change Author', 'stec'));
        $users_list = array(0 => esc_html__('-- Select New Author --', 'stec'));

        foreach ($users as $user) {
            $users_list[$user->ID] = $user->display_name;
        }
        
        Admin_Html::html_select('change_author', $users_list, 0, false, false);
    }


    Admin_Html::html_info(esc_html__('Created by', 'stec'));
    Admin_Html::html_input('', $user_info ? $user_info->display_name . " (id#$user_info->ID) " : null, 'Anonymous', '', false, "text", 'disabled');

    Admin_Html::html_info(esc_html__('User E-Mail', 'stec'));
    Admin_Html::html_input('', $user_email, '', '', false, "text", 'disabled');

    Admin_Html::html_info(esc_html__('User Roles', 'stec'));
    Admin_Html::html_input('', $user_info ? implode(',', $user_info->roles) : esc_html__('No Roles', 'stec'), '', '', false, "text", 'disabled');

    Admin_Html::html_info(esc_html__('Submitted on', 'stec'));
    Admin_Html::html_input('', get_the_date('', $event->get_id()), '', '', false, "text", 'disabled');

    Admin_Html::html_info(esc_html__('Note to reviewer', 'stec'));
    Admin_Html::html_textarea('', $event->get_review_note(), "", "", false, 'disabled');
    ?>

</div>
