<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="introduction">

    <h2><?php esc_html_e('Introduction', 'stec'); ?></h2>

    <?php
    Admin_Html::html_info(esc_html__('Images (optional)', 'stec'));
    Admin_Html::html_add_image('images[]', $event ? $event->get_images() : false, esc_html__('Add Images', 'stec'), false);

    Admin_Html::html_info(esc_html__('Introduction', 'stec'));
    wp_editor($event ? $event->get_description('edit') : null, 'description', array(
        'editor_height' => 425
    ));

    Admin_Html::html_info(esc_html__('Short Description ', 'stec'));
    Admin_Html::html_textarea('description_short', $event ? $event->get_description_short() : null, '', esc_html__('Short info about the event', 'stec'), false, 'maxlength=130');


    Admin_Html::html_info(esc_html__('External Link', 'stec'));
    echo '<div class="stachethemes-admin-section-flex">';
    Admin_Html::html_input('link[url]', $event ? $event->get_link('url') : null, '', esc_html__('External Link', 'stec'), false);
    Admin_Html::html_input('link[text]', $event ? $event->get_link('text') : null, '', esc_html__('Button text (optional)', 'stec'), false, 'text', 'style=margin-left:10px');
    echo '</div>';
    ?>

</div>