<?php

namespace Stachethemes\Stec;
?>
<div class="stachethemes-admin-section-tab" data-tab="shop">

    <?php
    Admin_Html::html_info(esc_html__('Add Woocommerce Product', 'stec'));
    Admin_Html::html_input('wc_product_list', '', '', esc_html__('Search WooCommerce Product', 'stec'));
    if ($event) :
        foreach ($event->get_products() as $product) :

            if (!$product instanceof Event_Meta_Product) {
                continue;
            }

            $product_info = WC()->product_factory->get_product($product->get_id());

            if (!$product_info) {
                continue;
            }
            ?>

            <div class="stachethemes-admin-woocommerce-product">

                <div class="stachethemes-admin-woocommerce-product-head">
                    <p class="stachethemes-admin-woocommerce-product-title"><span></span><span><?php esc_html_e($product_info->get_title()); ?></span></p>
                    <input type="hidden" name="wc_product[]" value="<?php echo (int) $product_info->get_id(); ?>" />
                    <div>
                        <?php
                        Admin_Html::html_button(esc_html__('Remove', 'stec'), '', true, "light-btn delete");
                        ?>
                    </div>
                </div>

            </div>

        <?php endforeach;
    endif;
    ?>

</div>