<?php

namespace Stachethemes\Stec;

$stachethemes_ec_main = Stachethemes_Event_Calendar::get_instance();
?>

<div class="stec-layout-event-inner-intro-media">

    <div class="stec-layout-event-inner-intro-media-content">

    </div>

    <div class="stec-layout-event-inner-intro-media-content-subs">
        <div>
            <p></p>
            <span></span>
        </div>
    </div>

    <div class="stec-layout-event-inner-intro-media-controls">
        <div class="stec-layout-event-inner-intro-media-controls-prev stec-layout-event-btn-fontandcolor"><i class="fas fa-caret-left"></i></div>
        <div class="stec-layout-event-inner-intro-media-controls-list-wrap">
            <ul class="stec-layout-event-inner-intro-media-controls-list">
            </ul>
        </div>
        <div class="stec-layout-event-inner-intro-media-controls-next stec-layout-event-btn-fontandcolor"><i class="fas fa-caret-right"></i></div>
    </div>

</div>

<div class="stec-layout-event-inner-intro-tags">stec_replace_tags</div>

<div class="stec-layout-event-inner-intro-section stec-style-flexbox">
    <p class="stec-layout-event-inner-intro-title stec-layout-event-title-fontandcolor">stec_replace_summary</p>
    <button class="stec-style-button stec-layout-event-inner-intro-section-tickets-default" type="button" data-action="open-tickets"><?php esc_html_e('Tickets', 'stec'); ?></button>
</div>

<div class="stec-layout-event-inner-intro-section stec-layout-event-inner-intro-desc stec-style-text">stec_replace_description</div>

<ul class="stec-layout-event-inner-intro-section stec-layout-event-inner-intro-organizers">
    
</ul>


<div class="stec-layout-event-inner-intro-section stec-style-full-width stec-style-float-left">
    <button class="stec-style-button stec-style-full-width stec-layout-event-inner-intro-section-tickets-small" type="button" data-action="open-tickets"><?php esc_html_e('Tickets', 'stec'); ?></button>
    <div class="stec-style-flexbox-no-media stec-style-full-width stec-style-float-left">
        <a target="_BLANK" class="stec-layout-event-inner-intro-external-link stec-style-full-width stec-style-button" href="#stec_replace_link_url">stec_replace_link_text</a>
        <a class="stec-layout-event-inner-intro-rsvp stec-style-full-width stec-style-button" href="javascript:void(0);"><?php esc_html_e('RSVP to Event', 'stec'); ?></a>
    </div>
</div>

<div class="stec-layout-event-inner-intro-section">
    <div class="stec-layout-event-inner-intro-event-status">
        <span class="stec-layout-event-inner-intro-event-status-text event-startsin"><?php esc_html_e('Event will start in', 'stec'); ?></span>
        <span class="stec-layout-event-inner-intro-event-status-text event-inprogress"><?php esc_html_e('Event will end in', 'stec'); ?></span>
        <span class="stec-layout-event-inner-intro-event-status-text event-expired"><?php esc_html_e('Event expired', 'stec'); ?></span>
    </div>

    <ul class="stec-layout-event-inner-intro-counter">
        <li>
            <p class="stec-layout-event-inner-intro-counter-num">0</p>
            <p class="stec-layout-event-inner-intro-counter-label" data-plural-label="<?php esc_html_e('Days', 'stec'); ?>" data-singular-label="<?php esc_html_e('Day', 'stec'); ?>">days</p>
        </li>
        <li>
            <p class="stec-layout-event-inner-intro-counter-num">0</p>
            <p class="stec-layout-event-inner-intro-counter-label" data-plural-label="<?php esc_html_e('Hours', 'stec'); ?>" data-singular-label="<?php esc_html_e('Hour', 'stec'); ?>">hours</p>
        </li>
        <li>
            <p class="stec-layout-event-inner-intro-counter-num">0</p>
            <p class="stec-layout-event-inner-intro-counter-label" data-plural-label="<?php esc_html_e('Minutes', 'stec'); ?>" data-singular-label="<?php esc_html_e('Minute', 'stec'); ?>">minutes</p>
        </li>
        <li>
            <p class="stec-layout-event-inner-intro-counter-num">0</p>
            <p class="stec-layout-event-inner-intro-counter-label" data-plural-label="<?php esc_html_e('Seconds', 'stec'); ?>" data-singular-label="<?php esc_html_e('Second', 'stec'); ?>">seconds</p>
        </li>
    </ul>

</div>

<ul class="stec-layout-event-inner-intro-section stec-layout-event-inner-intro-attendance">
    <li class="stec-style-button stec-layout-event-inner-intro-attendance-attend stec-layout-event-btn-fontandcolor"><p><?php esc_html_e('Attend', 'stec'); ?></p></li>
    <li class="stec-style-button stec-layout-event-inner-intro-attendance-decline stec-layout-event-btn-fontandcolor"><p><?php esc_html_e('Decline', 'stec'); ?></p></li>
    <li class="stec-style-button stec-layout-event-inner-intro-attendance-unlist stec-layout-event-btn-fontandcolor"><p><?php esc_html_e('Unlist', 'stec'); ?></p></li>
</ul>

<div class="stec-layout-event-inner-intro-section stec-layout-event-inner-intro-attachments">

    <div class="stec-layout-event-inner-intro-attachments-top">

        <p class="stec-style-title2"><i class="far fa-file"></i><?php esc_html_e('Attachments', 'stec'); ?></p>

        <div class="stec-layout-event-inner-intro-attachments-toggle">
            <i class="fa fa-plus"></i>
            <i class="fa fa-minus"></i>
        </div>

    </div>

    <ul class="stec-layout-event-inner-intro-attachments-list">
        
    </ul>
    
</div>


<?php
if (Settings::get_admin_setting_value('stec_menu__general', 'social_links') === '1' ||
        Settings::get_admin_setting_value('stec_menu__general', 'show_export_buttons') === '1') :
    ?>  

    <div class="stec-layout-event-inner-intro-section stec-layout-event-inner-intro-share-and-export">

        <div class="stec-layout-event-inner-intro-share">
            <?php
            if (Settings::get_admin_setting_value('stec_menu__general', 'social_links') === '1') :
                echo Admin_Helper::get_share_links();
            endif;
            ?>
        </div>

        <?php if (Settings::get_admin_setting_value('stec_menu__general', 'show_export_buttons') === '1') : ?>

            <div class="stec-layout-event-inner-intro-export">
                <form method="POST"> 
                    <button class="stec-style-button-secondary stec-layout-event-btn-sec-fontandcolor"><?php esc_html_e('Export to .ICS file', 'stec'); ?></button>
                    <input type="hidden" value="stec_replace_event_id" name="event_id">
                    <input type="hidden" value="stec_replace_calendar_id" name="calendar_id">
                    <input type="hidden" value="stec_public_export_to_ics" name="task">
                </form>

                <a class="stec-style-button-secondary stec-layout-event-btn-sec-fontandcolor" href="#stec_replace_googlecal_import" target="_BLANK" class="stec-style-text"><?php esc_html_e('Import to Google Calendar', 'stec'); ?></a>
            </div>

        <?php endif; ?>

    </div>

    <?php


 endif;