<?php

namespace Stachethemes\Stec; ?>

<div style="display: none;" id="stec-init-preloader-<?php esc_attr_e($calendar); ?>" class="stec-init-preloader">
    <div class="stec-init-preloader-sprite"></div>
    <span class="stec-init-preloader-count">0</span>
    <span class="stec-init-preloader-txt"><?php esc_html_e('Events loaded', 'stec'); ?></span>
</div>

<div style="display:none;" id="<?php esc_attr_e($calendar); ?>" class="stec">

    <?php if ($calendar->get_shortcode_option('stec_menu__general', 'show_top') === '1') : ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.top.php'; ?>
    <?php endif; ?>

    <div class="stec-layout">
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.agenda.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.month.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.week.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.day.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.grid.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.boxgrid.php'; ?>
        <?php include Stachethemes_Event_Calendar::get_instance()->get_path('VIEW') . 'front/inc.layout.map.php'; ?>
    </div>

</div>