<?php

namespace Stachethemes\Stec;
?>
<div class="stec-layout-event-inner-location-physical"> 
    <div class="stec-layout-event-inner-location-left">
        <p class="stec-layout-event-inner-location-left-title stec-style-title2"><?php esc_html_e('Location', 'stec'); ?></p>
        <p class='stec-layout-event-inner-location-address stec-style-text'>stec_replace_location</p>
        <p class="stec-layout-event-inner-location-left-title stec-style-title2"><?php esc_html_e('Get Directions', 'stec'); ?></p>
        <input class="stec-layout-event-input-fontandcolor" type="text" name="start" placeholder="<?php esc_html_e('Start Location', 'stec'); ?>" />
        <input class="stec-layout-event-input-fontandcolor" type="text" name="end" placeholder="<?php esc_html_e('Destination', 'stec'); ?>" />
        <div class="stec-style-flexbox-no-media stec-layout-event-inner-location-directions-buttons">
            <a href="javascript:void(0);" class="stec-style-button stec-layout-event-inner-location-left-button stec-layout-event-btn-fontandcolor"><?php esc_html_e('Get Directions', 'stec'); ?></a>
            <a target="_blank" href="javascript:void(0);" class="stec-style-button stec-layout-event-inner-location-open-map stec-layout-event-btn-fontandcolor"><?php esc_html_e('Open Map', 'stec'); ?></a>
        </div>
        <p class="stec-layout-event-inner-location-direction-error stec-style-text"><?php esc_html_e('Could not find route!', 'stec'); ?></p>
    </div>

    <div class="stec-layout-event-inner-location-right">
        <div class="stec-layout-event-inner-location-right-map"></div>
    </div>

    <div class="stec-layout-event-inner-location-left stec-layout-event-inner-location-optional-details">
        <p class="stec-layout-event-inner-location-left-title stec-style-title2"><?php esc_html_e('Details', 'stec'); ?></p>
        <div class='stec-layout-event-inner-location-details stec-style-text'>
            stec_replace_details
        </div>
    </div>
</div>

<div class="stec-layout-event-inner-location-virtual">
    <div class="stec-layout-event-inner-location-virtual-tags">
        <span><i class="fas fa-wifi"></i><?php esc_html_e('Online Event', 'stec'); ?></span>
    </div>

    <div class="stec-layout-event-inner-location-virtual-flex">

        <div>
            <div class="stec-layout-event-inner-location-left-qr-code">
                <img src="#stec_replace_virtual_event_qr_code_href" />
            </div>
        </div>

        <div>
            <a class="stec-style-button" target="_blank" href="#stec_replace_virtual_location_href"><?php esc_html_e('Join Event', 'stec'); ?></a>
            <div class="stec-layout-event-inner-location-virtual-share">
                <?php
                echo Admin_Helper::get_virtual_location_share_links();
                ?>
            </div>
        </div>

    </div>

    <div class="stec-layout-event-inner-location-optional-details">
        <p class="stec-layout-event-inner-location-left-title stec-style-title2"><?php esc_html_e('Details', 'stec'); ?></p>
        <div class='stec-layout-event-inner-location-details stec-style-text'>
            stec_replace_details
        </div>
    </div>
</div>